#  WPF Lotto Number Board

Ein einfaches, interaktives Lotto-Programm mit GUI – entwickelt mit WPF in C# von **Duy Anh**, **Nik Heise** und **Daniel**.

##  Projektbeschreibung

Das Projekt „Lotto Number Board“ ist eine WPF-Anwendung, mit der man:
- 6 Lottozahlen auswählen kann (1–49)
- eine Ziehung simulieren kann
- eine umfangreiche Simulation mit Startkapital durchführen kann, um die Gewinnchancen und Rendite zu analysieren

##  Features

-  Auswahl von 6 Zahlen über ein grafisches Button-Grid
-  Simulation von 1000 Ziehungen zur Auswertung der Gewinnverteilung
-  Startgeld-Verwaltung mit Ausgaben (5 €/Spiel) und Gewinnen
-  Statistiken über Trefferverteilung und End-Kontostand
-  Benutzerfreundliche Oberfläche mit automatischem Scrollbereich

##  Technologien

- **WPF (Windows Presentation Foundation)**
- **C#**
- **.NET**
- Multithreading mit `Task.Run`
- UI-Elemente wie `UniformGrid`, `ScrollViewer`, `TextBlock`, `TextBox`, `Button`

##  Verwendung

1. Projekt in Visual Studio öffnen.
2. Startgeld in das Textfeld eingeben (z. B. `2000`).
3. 6 Zahlen durch Klick auf Buttons auswählen.
4. Auf **"Ziehen"** klicken für eine einfache Ziehung.
5. Auf **"Simulation starten"** klicken, um 1000 Spiele mit Gewinn-/Verlustauswertung zu simulieren.

##  Beispielausgabe
Ausgewählt: 3, 14, 22, 27, 35, 44
Gezogene Zahlen: 5, 14, 18, 22, 27, 33
Treffer: 3 (14, 22, 27)

Simulation abgeschlossen:
0 Treffer: 529x
1 Treffer: 303x
2 Treffer: 121x
3 Treffer: 37x
4 Treffer: 10x
5 Treffer: 0x
6 Treffer: 0x

Dauer: 1.45 Sekunden
Kontostand: 1320 €

##  Autoren

- **Daniel**  
- **Duy Anh**  
- **Nik Heise**

##  Lizenz

Dies ist ein Lernprojekt im Rahmen unserer Ausbildung. Nutzung auf eigene Gefahr
